package Algorithmus;

public class Methoden_Der_Wrapper_Klassen {

	public static void main(String[] args) {
		
		/* Typkonvertierungsmethoden: 
		 * 
		 * 1- public byte byteValue()
		 * 2- public short shortValue()
		 * 3- public int intValue()
		 * 4- public long longValue()
		 * 5- public float floatValue()
		 * 6- public double doubleValue() 
		 */
		
		// Beispiel:
		Integer a = 10;
		System.out.println(a.byteValue()); // gibt a als byte aus
		System.out.println(a.shortValue()); // gibt a als short aus
		System.out.println(a.intValue()); // gibt a als int aus
		System.out.println(a.longValue()); // gibt a als long aus
		System.out.println(a.floatValue());// gibt a als float aus
		System.out.println(a.doubleValue());// gibt a als double aus
	}

}
